#ifndef GEN_H
#define GEN_H

typedef struct entry {
    room* area ;
    int weight ;
} entry ;

void copy_room(room* src, room* dest, int chx, int chy) ;
void build_starting_chunk(int chx, int chy) ;

void init_hashtbl() ;

void get_number_blocks(int* ret_cubes, int* ret_tps, FILE* ptr) ;
void align_to(FILE* ptr, char ch) ;
int read_int(FILE* ptr, bool print) ;
double read_float(FILE* ptr) ;
void parse_one_room(int id, char* filename) ;
void parse_rooms(int n_rooms) ;

void generate_nearby_chunks(int render_dist) ;

#endif